Subject: B20 and NT 4.0 SP4 ... mea culpa
From: [email-masked] (Emil Hallin)

3 Nov 1998 10:41:12 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hello,
I posted to the list about a problem that I thought was created by NT 4
SP4. It turns out that the trouble is, as far as I can tell, NOT with
the service pack but somehow with the "mount" utility. Here is what I
observe so far:

All the tests described below were run on one hardware platform with SP
3.

Configurations tried:
Note that "%SYSTEMROOT%" is C:\winnt

root "/" is mounted binary and points to C:
put source for egcs1.1b in /src/egcs-1.1b
mkdir /src/build
cd /src/build
.../egcs-1.1b/configure never hangs
make bootstrap goes through to completion

To get arbitrary hangs:
root "/" mounted binary and points to C:
put src in, say, drive F and create the new mount point
mount -b F: /f
mkdir /f/src
put source for egcs1.1b in /f/src/egcs-1.1b
mkdir /f/src/build
cd /f/src/build/
.../egcs-1.1b/configure hangs sometimes
make bootstrap: always hangs at arbitrary points

Another way to get arbitray hangs:
root "/" mounted binary and points to F: (a different partition on the
same physical drive)
put src in /src/egcs-1.1b
mkdir /src/build
cd /src/build
.../egcs-1.1b/configure sometimes hangs
make bootstrap always hangs but at different arbitrary points.
build in "/" 

I tried to find where in the registry the mount points are set and I
could not locate it in a cursory search. So my question is:

(1) am I making some error in mounting my partitions? Mount with no
argument seems to indicate that the mount points are as I expected they
should be, and all the normal file access utilities seem to work (ls,
find, etc all seem to find the files that I think should be there).

(2) Can someone tell me where the mount point information is stored? (I
am assuming it is in the registry somewhere)

	emil
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".